Subject: Missleading exception on wrong data type
Description

hi,

in a viewhelper I annotated an argument "array" but throw in an object. The missleading exception
@@
was thrown.

In Core/ViewHelper/AbstractViewHelper.php:295 validateArguments() tries to throw an "wrong type"-exception but generates a new
exception itself by calling strval($this->arguments[$argumentName]).

We should only output the argument's value if it's a human readable type though skipping objects and arrays.

Associated revisions
Revision 73636b51 - 2010-06-15 09:04 - Sebastian Kurfuerst

[+BUGFIX] Fluid (Core): Fixed misleading exception. Resolves #7417.

History
#1 - 2010-05-28 09:45 - Christian Müller
- File fluid_issue_7417.diff added

Felix Oertel wrote:

hi,

in a viewhelper I annotated an argument "array" but throw in an object. The missleading exception
@@
was thrown.

In Core/ViewHelper/AbstractViewHelper.php:295 validateArguments() tries to throw an "wrong type"-exception but generates a new exception
itself by calling strval($this->arguments[$argumentName]).

We should only output the argument's value if it's a human readable type though skipping objects and arrays.

Attached patch (against FLOW3 SVN) removes the "Value of argument:" sentence completely and strval is not called.

#2 - 2010-06-15 09:04 - Sebastian Kurfuerst
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r4508.
fluid_issue_7417.diff 1 kB 2010-05-28 Christian Müller

2015-08-03 2/2


